You are not logged in.

#1 2020-06-13 15:35:34

ZeroLinux
Member
Registered: 2011-10-07
Posts: 154

anbox modules fail to install [SOLVED]

Please, help me with anbox modules.

After noticing failure anbox to start, I noticed

sudo modprobe ashmem_linux
modprobe: FATAL: Module ashmem_linux not found in directory /lib/modules/5.7.2-arch1-1

After trying to reinstall modules, I have these errors:

$ yay -S anbox-modules-dkms-git
 Running post-transaction hooks...
(1/2) Arming ConditionNeedsUpdate...
(2/2) Install DKMS modules
==> dkms install anbox-modules-ashmem/r1213.c898810 -k 5.7.2-arch1-1
Error! Bad return status for module build on kernel: 5.7.2-arch1-1 (x86_64)
Consult /var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build/make.log for more information.
==> Warning, `dkms install anbox-modules-ashmem/r1213.c898810 -k 5.7.2-arch1-1' returned 10
==> dkms install anbox-modules-ashmem/r1213.c898810 -k 5.5.7-arch1-1
Error! Bad return status for module build on kernel: 5.5.7-arch1-1 (x86_64)
Consult /var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build/make.log for more information.
==> Warning, `dkms install anbox-modules-ashmem/r1213.c898810 -k 5.5.7-arch1-1' returned 10
==> dkms install anbox-modules-binder/r1213.c898810 -k 5.5.7-arch1-1
Error! Bad return status for module build on kernel: 5.5.7-arch1-1 (x86_64)
Consult /var/lib/dkms/anbox-modules-binder/r1213.c898810/build/make.log for more information.
==> Warning, `dkms install anbox-modules-binder/r1213.c898810 -k 5.5.7-arch1-1' returned 10
==> dkms install anbox-modules-binder/r1213.c898810 -k 5.5.8-arch1-1
Error! Bad return status for module build on kernel: 5.5.8-arch1-1 (x86_64)
Consult /var/lib/dkms/anbox-modules-binder/r1213.c898810/build/make.log for more information.
==> Warning, `dkms install anbox-modules-binder/r1213.c898810 -k 5.5.8-arch1-1' returned 10
==> dkms install anbox-modules-ashmem/r1213.c898810 -k 5.5.8-arch1-1
Error! Bad return status for module build on kernel: 5.5.8-arch1-1 (x86_64)
Consult /var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build/make.log for more information.
==> Warning, `dkms install anbox-modules-ashmem/r1213.c898810 -k 5.5.8-arch1-1' returned 10
==> dkms install anbox-modules-binder/r1213.c898810 -k 5.7.2-arch1-1
Error! Bad return status for module build on kernel: 5.7.2-arch1-1 (x86_64)
Consult /var/lib/dkms/anbox-modules-binder/r1213.c898810/build/make.log for more information.
==> Warning, `dkms install anbox-modules-binder/r1213.c898810 -k 5.7.2-arch1-1' returned 10

Log shows this

 
$ less /var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build/make.log
make[1]: Entering directory '/usr/lib/modules/5.5.8-arch1-1/build'
  AR      /var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build/built-in.a
  CC [M]  /var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build/deps.o
  CC [M]  /var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build/ashmem.o
cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
cc1: error: incompatible gcc/plugin versions
cc1: error: failed to initialize plugin ./scripts/gcc-plugins/structleak_plugin.so
make[2]: *** [scripts/Makefile.build:266: /var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build/deps.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: *** [scripts/Makefile.build:266: /var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build/ashmem.o] Error 1
make[1]: *** [Makefile:1693: /var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build] Error 2
make[1]: Leaving directory '/usr/lib/modules/5.5.8-arch1-1/build'
make: *** [Makefile:12: all] Error 2
 

How to make it working?

Last edited by ZeroLinux (2020-06-14 20:31:47)

Offline

#2 2020-06-13 15:40:50

loqs
Member
Registered: 2014-03-06
Posts: 11,188

Re: anbox modules fail to install [SOLVED]

What is the output of

pacman -Q gcc linux

Offline

#3 2020-06-13 16:31:19

ZeroLinux
Member
Registered: 2011-10-07
Posts: 154

Re: anbox modules fail to install [SOLVED]

loqs wrote:

What is the output of

pacman -Q gcc linux

Thank you for helping me!

$ pacman -Q gcc linux
gcc 10.1.0-2
linux 5.7.2.arch1-1

Offline

#4 2020-06-13 16:40:16

loqs
Member
Registered: 2014-03-06
Posts: 11,188

Re: anbox modules fail to install [SOLVED]

The 5.5.7-arch1-1 kernel was not built with gcc 10.1.0-2.  You need to rebuild that kernel with gcc 10.1.0-2 to build dkms modules using gcc 10.1.0-2.

Please try rebuilding anbox-modules-ashmem for 5.7.2-arch1-1 so make.log will be for that failing build and post.  Then post that make.log.

Offline

#5 2020-06-13 18:23:28

ZeroLinux
Member
Registered: 2011-10-07
Posts: 154

Re: anbox modules fail to install [SOLVED]

loqs wrote:

The 5.5.7-arch1-1 kernel was not built with gcc 10.1.0-2.  You need to rebuild that kernel with gcc 10.1.0-2 to build dkms modules using gcc 10.1.0-2.

Please try rebuilding anbox-modules-ashmem for 5.7.2-arch1-1 so make.log will be for that failing build and post.  Then post that make.log.

I didn't build a kernel at all. It is the standard arch Linux kernel.  Is waiting a solution?

Offline

#6 2020-06-13 18:30:03

loqs
Member
Registered: 2014-03-06
Posts: 11,188

Re: anbox modules fail to install [SOLVED]

Without the output requested in post #4 I do not know why the 5.7.2-arch1-1 build failed.
For the 5.5.7-arch1-1 kernel what is the output of:

pacman -Qi `pacman -Qoq /usr/lib/modules/5.5.8-arch1-1/build`

Last edited by loqs (2020-06-13 18:31:42)

Offline

#7 2020-06-14 08:13:34

ZeroLinux
Member
Registered: 2011-10-07
Posts: 154

Re: anbox modules fail to install [SOLVED]

loqs wrote:

Without the output requested in post #4 I do not know why the 5.7.2-arch1-1 build failed.
For the 5.5.7-arch1-1 kernel what is the output of:

pacman -Qi `pacman -Qoq /usr/lib/modules/5.5.8-arch1-1/build`

It says error:

$ sudo pacman -Qi `pacman -Qoq /usr/lib/modules/5.5.8-arch1-1/build`
error: No package owns /usr/lib/modules/5.5.8-arch1-1/build

and then here is the output

Please try rebuilding anbox-modules-ashmem for 5.7.2-arch1-1 so make.log will be for that failing build and post.  Then post that make.log.

I don't know how to rebuild  anbox-modules-ashmem separately. I just did the command: yay -S anbox-modules-dkms-git

Thank you for helping me

Last edited by ZeroLinux (2020-06-14 08:18:04)

Offline

#8 2020-06-14 10:06:05

loqs
Member
Registered: 2014-03-06
Posts: 11,188

Re: anbox modules fail to install [SOLVED]

ZeroLinux wrote:

It says error:

$ sudo pacman -Qi `pacman -Qoq /usr/lib/modules/5.5.8-arch1-1/build`
error: No package owns /usr/lib/modules/5.5.8-arch1-1/build

How is the 5.5.8-arch1-1 kernel installed?

ZeroLinux wrote:

I don't know how to rebuild  anbox-modules-ashmem separately. I just did the command: yay -S anbox-modules-dkms-git

See Dynamic_Kernel_Module_Support#Rebuild_modules

dkms install anbox-modules-ashmem/r1213.c898810 -k 5.7.2-arch1-1

Offline

#9 2020-06-14 14:00:07

ZeroLinux
Member
Registered: 2011-10-07
Posts: 154

Re: anbox modules fail to install [SOLVED]

How is the 5.5.8-arch1-1 kernel installed?

I have no idea. I didn't install it at all.

$ uname -a
Linux x1c7 5.7.2-arch1-1 #1 SMP PREEMPT Wed, 10 Jun 2020 20:36:24 +0000 x86_64 GNU/Linux

dkms install anbox-modules-ashmem/r1213.c898810 -k 5.7.2-arch1-1

$ sudo dkms install anbox-modules-ashmem/r1213.c898810 -k 5.7.2-arch1-1
Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area...
make -j4 KERNELRELEASE=5.7.2-arch1-1 all KERNEL_SRC=/lib/modules/5.7.2-arch1-1/build...(bad exit status: 2)
Error! Bad return status for module build on kernel: 5.7.2-arch1-1 (x86_64)
Consult /var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build/make.log for more information.
$ less /var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build/make.log

DKMS make.log for anbox-modules-ashmem-r1213.c898810 for kernel 5.7.2-arch1-1 (x86_64)

make -C /lib/modules/5.7.2-arch1-1/build V=0 M=$PWD
make[1]: Entering directory '/usr/lib/modules/5.7.2-arch1-1/build'
  AR      /var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build/built-in.a
  CC [M]  /var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build/deps.o
  CC [M]  /var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build/ashmem.o
  LD [M]  /var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build/ashmem_linux.o
  MODPOST 1 modules
ERROR: modpost: "kallsyms_lookup_name" [/var/lib/dkms/anbox-modules-ashmem/r1213.c898810/build/ashmem_linux.ko] undefined!
make[2]: *** [scripts/Makefile.modpost:94: __modpost] Error 1
make[1]: *** [Makefile:1642: modules] Error 2
make[1]: Leaving directory '/usr/lib/modules/5.7.2-arch1-1/build'
make: *** [Makefile:12: all] Error 2

The same problem

Offline

#10 2020-06-14 14:09:56

loqs
Member
Registered: 2014-03-06
Posts: 11,188

Re: anbox modules fail to install [SOLVED]

The anbox_modules project has not been updated for linux 5.7 https://github.com/anbox/anbox-modules/issues/49.

If you did not install 5.5.8-arch1-1 on your system how did it get there?

Offline

#11 2020-06-14 14:40:22

ZeroLinux
Member
Registered: 2011-10-07
Posts: 154

Re: anbox modules fail to install [SOLVED]

loqs wrote:

If you did not install 5.5.8-arch1-1 on your system how did it get there?

I have no any idea. Please, help me please, get rid of it!

Offline

#12 2020-06-14 14:55:24

loqs
Member
Registered: 2014-03-06
Posts: 11,188

Re: anbox modules fail to install [SOLVED]

pacman -Qo /usr/lib/modules/5.5.8-arch1-1

If no package owns that directory,  you can remove it and its contents.  See also Tips_and_tricks#Identify_files_not_owned_by_any_package.

Offline

#13 2020-06-14 15:28:36

ZeroLinux
Member
Registered: 2011-10-07
Posts: 154

Re: anbox modules fail to install [SOLVED]

loqs wrote:
pacman -Qo /usr/lib/modules/5.5.8-arch1-1

If no package owns that directory,  you can remove it and its contents.  See also Tips_and_tricks#Identify_files_not_owned_by_any_package.

$ pacman -Qo /usr/lib/modules/5.5.8-arch1-1
error: No package owns /usr/lib/modules/5.5.8-arch1-1

Thank you very, very much! You are so kind!

Offline

#14 2020-06-17 18:58:27

an
Member
Registered: 2020-06-17
Posts: 1

Re: anbox modules fail to install [SOLVED]

I had the same problem after last upgrade.
Andox modules doesn't work this new kernel. For me the solution was to downgrade to the old one:

sudo pacman -U /var/cache/pacman/pkg/linux-5.6.13.arch1-1-x86_64.pkg.tar.zst /var/cache/pacman/pkg/linux-headers-5.6.13.arch1-1-x86_64.pkg.tar.zst

... or whatever versions you have is there

Offline

#15 2020-06-19 13:39:50

asazimov
Member
Registered: 2018-09-08
Posts: 8

Re: anbox modules fail to install [SOLVED]

ZeroLinux wrote:

Thank you very, very much! You are so kind!

HI ZeroLInux, it seems you solved your problem, I have the same problem, did you downgrade or you were able to install modules?

Offline

Board footer

Powered by FluxBB